C_DESTROY_LIST(3)

FUNCTION
c_destroy_list - Destroy a callback list.

SYNOPSIS
#include <karma_c.h>

void c_destroy_list

(KCallbackList list)

DESCRIPTION
This routine will unregister all callbacks in a callback list and then destroys the list.

list
    The callback list. This may be NULL (indicating an empty list).

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/